<html xmlns:th="https://thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
    <link th:href="@{main.css}" rel="stylesheet" />
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&display=swap');
    </style>
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@300&display=swap');
    </style>
</head>
<body>
<h1>Log in here</h1>
<form action="#" th:action="@{/login}" th:object="${user}" method="post">
    <div>
        <h3>Username</h3>
        <input type="text" name="username" id="username" th:field="*{name}">
    </div>
    <div th:object="${user.loginInfo}">
        <h3>Password</h3>
        <input type="password" id="password" th:field="*{password}" >
    </div>
    <p th:text="${loginError} ?: ''"></p>
    <input type="submit" value="Login"/>
</form>
</body>
</html>